Subject: bug#41828: closed (Re: [bug#41828] [PATCH 0/2] Branching and rebuilding strategy changes)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 22 Jun 2020 01:18:01 +0000

Your bug report

#41828: [PATCH 0/2] Branching and rebuilding strategy changes

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41828: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41828
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41828] [PATCH 0/2] Branching and rebuilding strategy changes
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jun 2020 03:17:16 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> This pull request adds a reduced 'staging' jobset to Cuirass, to
> prevent needless rebuilds outside of the freeze cycles.
>
> It also adjusts the documentation to more closely match the current
> staging and core-updates practices.
>
> Marius Bakke (2):
>   ci: Add a 'staging' jobset.
>   doc: Adjust branching and rebuilding strategy to match reality.

I decided to scrap patch 1/2 in this series.  Partly because it would
not work as-is, and partly because I got another idea: instead of the
reduced jobset, we can limit it to x86_64 only.  That way we get
substitutes for developers, but avoid the expensive and often needless
rebuilds on other architectures.

I will be doing that from here on in between freeze cycles.

The other patch was pushed in bb9a99e6571c492d30f95c5b51ead6861d1dc098.

Subject: [PATCH 0/2] Branching and rebuilding strategy changes
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Fri, 12 Jun 2020 16:31:04 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This pull request adds a reduced 'staging' jobset to Cuirass, to
prevent needless rebuilds outside of the freeze cycles.

It also adjusts the documentation to more closely match the current
staging and core-updates practices.

Marius Bakke (2):
  ci: Add a 'staging' jobset.
  doc: Adjust branching and rebuilding strategy to match reality.

 doc/contributing.texi |  8 ++++----
 gnu/ci.scm            | 15 +++++++++++++++
 2 files changed, 19 insertions(+), 4 deletions(-)

-- 
2.26.2